Subject: bug#3794: Error in json from gdb-ui

From: [email-masked] (Nick Roberts)
Date: Fri, 10 Jul 2009 16:38:53 +1200

Herbert Euler writes:
 > Package: emacs
 > Version: 23.1.50.11

I think this should really go to [email-masked] as this is an unreleased
version of Emacs.  I think that works if you prefix the subject header with
"23.1.50; " or use M-x report-emacs-bug in the Emacs version which has the bug.

 > (This is the CVS HEAD version of emacs.)
 > 
 > I tried M-x gdb to run emacs under gdb.  The command line was
 > 
 >   gdb -i=mi ~/src/emacs/src/emacs
 > 
 > and I got the error '(json-object-format ":" 44).  Here is the backtrace:
 > 
 > Debugger entered--Lisp error: (json-object-format ":" 44)
 >   signal(json-object-format (":" 44))
 >   json-read-object()
 >   apply(json-read-object nil)
 >   json-read()
 > ...

This relates to Dmitry Dzhus's recent changes, so I'm cc'ing him.

-- 
Nick                                           http://www.inet.net.nz/~nickrob